Bug 65541 - Update port: devel/devhelp to 0.9
Summary: Update port: devel/devhelp to 0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-14 17:40 UTC by Rui Lopes
Modified: 2004-04-29 08:27 UTC (History)
0 users

See Also:


Attachments
devhelp_update_to_0_9.patch (4.30 KB, patch)
2004-04-14 17:40 UTC, Rui Lopes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rui Lopes 2004-04-14 17:40:16 UTC
	* Update to last devhelp
	* devhelp now uses Mozilla to render HTML contents
Comment 1 Volker Stolz freebsd_committer 2004-04-14 20:39:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

I'll handle this one.
Comment 2 Volker Stolz freebsd_committer 2004-04-14 22:05:37 UTC
Everything builds fine, but on running the tool on -STABLE, I get:

devhelp@menelaos [23:00:22]> devhelp
/usr/libexec/ld-elf.so.1: Shared object "libgtkembedmoz.so" not found

Using LD_PRELOAD_PATH it seems to work, i.e. the error doesn't occur,
but I'm on remote X atm. Is this a fault of my setup or a general 
problem of this port?

Regards,
    Volker
Comment 3 Rui Lopes 2004-04-15 00:01:00 UTC
On Wed, 2004-04-14 at 22:05, Volker Stolz wrote:
> Everything builds fine, but on running the tool on -STABLE, I get:
> 
> devhelp@menelaos [23:00:22]> devhelp
> /usr/libexec/ld-elf.so.1: Shared object "libgtkembedmoz.so" not found
> 
> Using LD_PRELOAD_PATH it seems to work, i.e. the error doesn't occur,
> but I'm on remote X atm. Is this a fault of my setup or a general 
> problem of this port?

The PR Makefile has this patch:

 post-patch:
-	@${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} \
-		${REINPLACE_CMD} -e 's|-DG[TD]K_DISABLE_DEPRECATED||g'
+	@${REINPLACE_CMD} -E 's,^(LD_),export \1,g' ${WRKSRC}/devhelp.in


this should take care of this problem.  This is a problem with the
devhelp launch script that is shipped with devhelp, they forgot to
export the LD_LIBRARY_PATH env var (see
http://cvs.gnome.org/viewcvs/devhelp/devhelp.in?r1=1.1&r2=1.2).



Regards,
Rui Lopes
Comment 4 Volker Stolz freebsd_committer 2004-04-29 08:25:53 UTC
State Changed
From-To: open->closed

Committed, thanks.